## php-solr-2-4 2.4.0

=== debian/changelog ===
php-solr-2-4 (1:2.4.0-1+0~20250803.5+debian11~1.gbp770999) unstable; urgency=medium

  ** SNAPSHOT build @770999c60d9277b9ccc855e04975440c957e6aeb **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sun, 03 Aug 2025 15:42:55 +0200

php-solr-2-4 (1:2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Split the source package for PHP 5.6

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Jun 2023 17:45:39 +0200

php-solr (2.6.0+2.4.0-3) unstable; urgency=medium

  * No-change source-only update

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Jan 2023 08:43:34 +0100

php-solr (2.6.0+2.4.0-2) unstable; urgency=medium

  * Workaround the empty-binary-package lintian problem
  * Strip the maximum version from package.xml

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 Jan 2023 10:56:36 +0100

php-solr (2.6.0+2.4.0-1) unstable; urgency=medium

  * New upstream version 2.6.0+2.4.0
  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 14:08:23 +0100

php-solr (2.5.1+2.4.0-15) unstable; urgency=medium

  * Bump dependency on dh-php >= 4.9~ (Closes: #1006934)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Mar 2022 15:09:07 +0100

php-solr (2.5.1+2.4.0-14) unstable; urgency=medium

  * Fix the d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:01:34 +0100

php-solr (2.5.1+2.4.0-13) unstable; urgency=medium

  * Regenerate d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:58 +0100

php-solr (2.5.1+2.4.0-11) unstable; urgency=medium

  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Nov 2021 11:26:04 +0100

php-solr (2.5.1+2.4.0-10) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:01:06 +0100

php-solr (2.5.1+2.4.0-9) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:08:05 +0100

php-solr (2.5.1+2.4.0-8) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:49 +0100

php-solr (2.5.1+2.4.0-7) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:51:26 +0100

php-solr (2.5.1+2.4.0-6) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:11:06 +0100

php-solr (2.5.1+2.4.0-5) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:41:15 +0100

php-solr (2.5.1+2.4.0-4) unstable; urgency=medium

  * Pull all XML extensions via new php-all-dev >= 79~

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 20:15:39 +0200

php-solr (2.5.1+2.4.0-3) unstable; urgency=medium

  * Add php-curl and php-xml to build-depends

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:44:21 +0200

php-solr (2.5.1+2.4.0-2) unstable; urgency=medium

  * Update for dh-php >= 2.0 support
  * Add curl extension to package*.xml dependencies

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 14:43:21 +0200

php-solr (2.5.1+2.4.0-1) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * New upstream version 2.5.1+2.4.0
  * Build with dh-php >= 1.0

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 22:35:58 +0200

php-solr (2.5.0+2.4.0-4) unstable; urgency=medium

  * Append path to curl and libxml2 to d/rules
  * Fix the xml2-config bug that misses zlib1g-dev and liblzma-dev B-D
  * Don't fail the build on failed tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Feb 2020 15:56:36 +0100

php-solr (2.5.0+2.4.0-3) unstable; urgency=medium

  * Add pkg-config to B-D

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Oct 2019 15:25:40 +0100

php-solr (2.5.0+2.4.0-2) unstable; urgency=medium

  * Also patch solr-2.4.0 to remove curl extra header check

 -- Ondřej Surý <ondrej@sury.org>  Wed, 28 Aug 2019 08:58:38 +0200

php-solr (2.5.0+2.4.0-1) unstable; urgency=medium

  * New upstream version 2.5.0+2.4.0

 -- Ondřej Surý <ondrej@sury.org>  Tue, 27 Aug 2019 15:00:30 +0200

php-solr (2.5.0-1) unstable; urgency=medium

  * Add Pre-Depends on php-common >= 0.69~
  * New upstream version 2.5.0
  * Rebase patches for php-solr_2.5.0

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 Aug 2019 09:03:16 +0200

php-solr (2.4.0-7) unstable; urgency=medium

  * Bump the required dh-php version to >= 0.33~

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Oct 2018 12:06:04 +0000

php-solr (2.4.0-6) unstable; urgency=medium

  * Update Vcs-* to salsa.d.o
  * Update maintainer email to team+php-pecl@tracker.debian.org
    (Closes: #899652)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Aug 2018 13:31:38 +0000

php-solr (2.4.0-5) unstable; urgency=medium

  * Add PHP 7.2 compatibility patch (Courtesy of Remi Collet)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Sep 2017 07:13:35 +0200

php-solr (2.4.0-4) unstable; urgency=high

  * Remove extra check for curl headers (Closes: #852912)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Feb 2017 10:34:33 +0100

php-solr (2.4.0-3) unstable; urgency=medium

  * Move the default makefile snippet to dh-php and use a simple d/rules
    with dh-php >= 0.12~

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Apr 2016 11:20:07 +0200

php-solr (2.4.0-2) unstable; urgency=medium

  [ David Prévot ]
  * Fix team PEAR -> PECL
  * Fix section

  [ Ondřej Surý ]
  * Add ${php:Provides} to d/control
  * Define PHP_RPATH=no in d/rules to prevent setting rpath
  * Improve d/rules so it can be used with both single or multiple PECL

